/********************* (C) COPYRIGHT 2010 e-Design Co.,Ltd. ********************
 File Name : file.h  
 Version   : DS211 Ver 1.6                                 Author : bure
*******************************************************************************/
#ifndef __FILE_H
#define __FILE_H

#include "stm32f10x_lib.h"

#define OK              0
#define VER_ERR         1
#define NO_FILE         2
#define FILE_RW_ERR     3
#define DISK_RW_ERR     4

extern vu8 DFS_FUNC;
extern u8  F_Sector[];
extern u8  Cal_Sta;
extern u8  F_Buff[];

u8   Save_Bmp(s16 FileNum);
u8   Color_Num(u16 Color);
u8   Save_Dat(s16 FileNum);
u8   SD_Save_Dat(s16 FileNo);
u8   Load_Dat(s16 FileNum);
u8   Save_Buf(s16 FileNum);
u8   Load_Buf(s16 FileNum);
u8   Save_Csv(s16 FileNum);
u8   Save_Svg(s16 FileNum);
void Make_Filename(s16 FileNum,u8* FileName);
void reset_parameter(void);
void Restore_CalPar(void);
void Restore_Scene(void);
void WriteStr(u8* Str, u16* pClu);
void WriteVar(u16 Var, u16* pClu);
void WriteVar_u64(u_64 Var, u16* pClu);
void Read_Parameter(void);
char Save_Parameter(void);
int  DFS_PROC(u8 func); 
void SVC_IRST(void);
int  SD_OpenFile(u8* pFileName);
int  FileProc(u8 index,u8 filenum);
void Read_CalFlag(void);
u8   Save_Kpg(void);
void Read_Kpg(void);
void Restore(void);
s16  Load_File_Num(u8 Tpye);
void File_Num(void);

#endif
/********************************* END OF FILE ********************************/
