/******************** (C) COPYRIGHT 2012 e-Design Co.,Ltd. *********************
 File Name : Process.h
 Version   : DS211 Ver 1.6                                   Author : bure
*******************************************************************************/
#ifndef __PROEESS_H
#define __PROEESS_H

#include "stm32f10x_lib.h"

#define SCAN              1
#define AUTO              2
#define NORM              3
#define SINGL             4
#define NONE              5

#define RISE              0
#define FALL              1
#define PRE_SMPL          150
#define CH_A              0

extern u16  Sampl[];
extern s16  Vmax, Vmin, Vmid, Vavg, Start;
extern s32  Vram, Vrms, Vpp,  LowT, HighT;
extern u32  Vssq;
extern u8   StateA, CouplA, GainA, KindA,Str[];
extern s16  *KpA, *KpB, *KgA, *KgB, Kpg[];
extern uc8  GK[];
extern u8   Norm_Clr, NORM_Kflag, SNGL_Kflag ;
extern s16  Ch1_Posi, Ch2_Posi, Tri_Posi, Vo_Temp;

void WaveProcess(void);
void Build_Ext(u16 x, u8 Ext, u8 Yp);
void Calibrate(void);
void Auto_Fit(void);
void Align_Set(void);
void Zero_Align(void);
void Analys(void);
void AiPosi(u8 Val);

#endif /*__PROEESS_H*/
/******************************** END OF FILE *********************************/
