/********************* (C) COPYRIGHT 2013 e-Design Co.,Ltd. ********************
 DFU_Func.h   For DFU Ver3.26                                   Author : bure
*******************************************************************************/
#ifndef __DFU_FUNC_H
#define __DFU_FUNC_H

#include "stm32f10x_lib.h"

typedef enum {SCH, MCU, LCD, ADC, FPGA, DFU, OEM, DISK, NON} DEV_NUM;


void __Delay_mS(u32 mS);
void __Dev_SN(void);
void __Chk_SYS(u32 Licence);
u8   __Lic_ok(void);

void __LCD_Init(void);
void __Add_Color(u16 x, u16 y, u16 Color);

u16  __Get_Pixel(void);
void __Set_Pixel(u16 Color);
void __Disp_Logo(u16 x, u16 y);
void __Disp_Str(u16 x, u16 y, u16 Color, u8 *s);

void __SetBlock(u16 x1, u16 y1, u16 x2, u16 y2);
void __ClrScrn(u16 Color);
void __Set_Posi(u16 x, u16 y);
u16  __Font_8x14(u8 Ascii, u16 Row);

void __FLASH_Prog(u32 Address, u16 Data);
void __FLASH_Erase(u32 Address);
u8*  __DevInfoStr(u8 Device);
void __EraseColor(u16 x, u16 y, u16 Color);

void __Set_Pixels(u16 Color, u32 n);
void __SetPixels(u16 *pBuf, u32 n);

void  __SVC_Entry(void);
#endif 
/*********************************  END OF FILE  ******************************/
