/******************** (C) COPYRIGHT 2013 e-Design Co.,Ltd. *********************
  File Name : Main.c                                         Author : bure,xie
********************************************************************************
 汾޸˵:
 
V1.21 ޸V1,V2 T1,T2ֵʾ
      ŻУ׼
*******************************************************************************/
#include "string.h"
#include "Version.h"
#include "usb_lib.h"
#include "HDW_Config.h"
#include "DFU_Func.h"
#include "Func.h"
#include "Draw.h"
#include "BIOS.h"
#include "Menu.h"
#include "Process.h"
#include "FAT12.h"
#include "File.h"
#include "Display.h"

extern s16 TIM_BASE_Val;

//===============================APP汾======================================
u8  APP_VERSION[] = "V1.21";   //ó12ַ

u8  STR[10];

void main(void)
{
  u16 i; 
  u8 SAVE_FLAG = 0;
  u8 Pop_Num = 0;
 
  Set_System();
  NVIC_Configuration();
  GPIO_Config();
  DAC_Config();
  DMA_Configuration();
  ADC_Configuration();
  Init_Fat_Value();  
  SPI_Config(); 
  USB_Init();  
  Tim_Config();

/*----------ʾʾϢҳ----------*/
  if(*__DevInfoStr(OEM) == '2') SetColor(WHT, BLK);
  else                          SetColor(BLK, WHT);
  
  DispStr8x14(8, 90, PRN, "         Oscilloscope              ");
  DispStr8x14(8+22*8, 90, PRN,                   APP_VERSION);
  DispStr8x14(8, 70, PRN, "        System Initializing...       ");
  
  Delayms(1000);

  //=============================һд̼ԶУ׼===========================   
  Read_CalFlag();
  
  if(Cal_Sta == 1)
  {  
    Cal_Sta = 0;
    SetColor(BLK, WHT);
    DispStr8x14(8, 90, PRN, "                                        ");
    DispStr8x14(8, 70, PRN, "                                        ");
    DispStr8x14(8, 90, PRN, "      Run the calibration program...    ");
    DispStr8x14(8, 70, PRN, "        Please wait a few seconds       ");
    Zero_Align();                              //ֱλУ 
    Restore();                                 //ò
    Save_Parameter();                         //
    Save_Kpg();
  }
  Read_Kpg();
  Read_Parameter();
  File_Num();
  memcpy(Data, DEMO, 310);
  PopType |= DEMO_POP;
  
  __ClrScrn(GRY);
  Update_Titel();
   if(__Lic_ok()) PopType &= ~DEMO_POP;  //  Licence ȷرDEMO

  List[SMPL_DPTH].Flg |= UPD;
  
  StdBy_Time  = List[STANDBY].Val * MIN_UNIT; 
  PwrOff_Time = List[PWR_OFF].Val * MIN_UNIT;  
   
  while (1){
    /*
    SetColor(GRY, RED);
    u16ToDec4Str(STR, Bat_Vol());
    DispStr8x14(8, 0, PRN,STR);
    */
    
    if((List[STANDBY].Val != 0)&&(StdBy_Time == 0))
    {
      TIM4_CCR4  = 1; //LCD 1%
      StdBy_Flag = 1;
    }
    if((List[PWR_OFF].Val != 0)&&(PwrOff_Time == 0))
    {
      __Ctrl(PWROFF, ENABLE);
    }
    if(Bat_Vol() < 3200)//С3.2VԶػ
    {
      __Ctrl(PWROFF, ENABLE);
    }
    
    if(!__Lic_ok())
    {
      if(((~GPIOD_IDR)& 0x2000)&&((~GPIOD_IDR)& 0x4000)&&
         ((~GPIOD_IDR)& 0x8000)&&((~GPIOC_IDR)& 0x0080))//
      {
        __Ctrl(PWROFF, ENABLE);
      }
    }
    
    if((PopType & DEMO_POP)&&(!(PopType &(DAILOG_POP+LIST_POP)))) Demo_Pop();
    Update_Detail();
    Update_Blink();
    WaveProcess();
    __DrawWindow(WaveBuf, ParamTab);
    
   if(TIM_BASE_Val!=0)
    {
      List[TIM_BASE].Val=TIM_BASE_Val;
      List[TIM_BASE].Flg |= UPD;
      List[TIM_BASE].Flg |= UPD;
      TIM_BASE_Val=Current;
      Update_Titel();
      Current=TIM_BASE_Val;
      TIM_BASE_Val=0;
    }
    if(Key_Buffer != 0){
      StdBy_Flag = 0;
      TIM4_CCR4 = (List[B_LIGHT].Val) *10;
      PopupCnt = 10;                  // ްʱ˵άʾ 10
      List[MenuNow[Current]].Flg |= UPD;
         
      switch (Key_Buffer){
     case KEYCODE_MEM:
         i = Save_Bmp(List[SAVE_BMP].Val);
         DispFileInfo(i);
         DispBMPInfo();
        break;
     case KEYCODE_ACT:
       
       SAVE_FLAG=0;
       if(PopType & DAILOG_POP) Close_Pop();
       else {
         Dialog_Pop("Save All ParamTab?");
         Pop_Num = 1;
       }
       

       break;
     case KEYCODE_PLAY:
       if((Current == ST)&&(Cal_flag==0)){
         if(PopType & DAILOG_POP){
           if(Pop_Num == 1){
             Save_Parameter();
             Close_Pop();
           }
           else{
             Close_Pop();
             List_Pop();
           }
         } else if((PopType & LIST_POP) && (MenuNow[ST]==RESTORE )) {
           Restore_CalPar();
           Dialog_Pop("Save All ParamTab?");
           Cal_flag = 1;
         }else if((PopType & LIST_POP) && (MenuNow[ST]==AUTO_CAL )) { 
           Close_Pop();
           Calibrate_Pop("Waiting for Calibration...");
           Cal_flag = 1;
           __DrawWindow(WaveBuf, ParamTab); 
           Zero_Align();
           Update_Proc_All();
           Close_Pop();
           CalSave_Pop("Save Cal ParamTab?");
         }
         break;
       }
       else if((Current == ST)&&(Cal_flag==1)){
         if(PopType & DAILOG_POP){
           Save_Kpg();
           Close_Pop();
           Cal_flag = 0;
         }
         break;
       }
         
       if ((Current == FN)&&(PopType & LIST_POP)){
         i = 0;
         {
           if(SAVE_FLAG==KEYCODE_MEM)Close_Pop();
           if(MenuNow[FN] == SAVE_BMP) i = Save_Bmp(List[SAVE_BMP].Val);
           if(MenuNow[FN] == SAVE_DAT) i = Save_Dat(List[SAVE_DAT].Val);
           if(MenuNow[FN] == SAVE_BUF) i = Save_Buf(List[SAVE_BUF].Val);
           if(MenuNow[FN] == SAVE_CSV) i = Save_Csv(List[SAVE_CSV].Val);
           if(MenuNow[FN] == SAVE_SVG) i = Save_Svg(List[SAVE_SVG].Val);
           if(MenuNow[FN] == LOAD_DAT) i = Load_Dat(List[LOAD_DAT].Val);
           if(MenuNow[FN] == LOAD_BUF) i = Load_Buf(List[LOAD_BUF].Val);
           SAVE_FLAG = 0;
         }
         DispFileInfo(i);
         
         if(PopType & DAILOG_POP)  Close_Pop();
         
       }else if((PopType & DAILOG_POP ) &&(SAVE_FLAG!=KEYCODE_MEM)){
         Save_Parameter();
         Cal_flag = 0;
         Close_Pop();
         break;
       }
       else {
          if(Status & STOP){
            if(Status & LOAD )Status &= ~LOAD;
            Status &= ~STOP;     // ״̬
            if(List[SYNCMODE].Val==SINGL) ADC_Start();
            if(List[SYNCMODE].Val==NORM)ADC_Start();
            Norm_Clr = 1;
            SNGL_Kflag = 1;
            Update_Proc_All();
            
            if(*(u16*)F_Sector==0xaa55)Restore_Scene();
            
          } else { 
            Status |=  STOP;     // ͣ״̬
            Ch1_Posi = List[V0_POSI].Val;
            Ch2_Posi = List[EXT_POSI].Val;
            Tri_Posi = List[THRESHOLD].Val;
          #ifdef SAVEBMP
            Save_Bmp(List[SAVE_BMP].Val);
            List[SAVE_BMP].Val++;
          #endif
          }
        }
        DispStatus();            // ʾ״̬
       
       break;
      case KEYCODE_D_MANU:
        if(List[FITTRIGG].Val)
        {
          Auto_Fit();
        }
        break;
      case KEYCODE_MANU:
        if(!(PopType & LIST_POP)){
            if(Cal_flag){
              Cal_flag = 0;
              Close_Pop(); 
            }else{
              Cal_flag = 0;
              List_Pop(); // ˵رʱ, 򿪲˵
            }
        }
        else {
          Close_Pop();                // ˵Ѵʱ, رղ˵
          // ------------ ָʾϢʾԭʾϢ ------------
          if(Current == XN)      List[T1_POSI   ].Flg |= UPD;
          else if(Current == YN) List[V1_POSI   ].Flg |= UPD;
          else                   List[MenuNow[SN]].Flg |= UPD;
          // ------------ ָʾϢʾҶԭʾϢ ------------
          if(MenuNow[Current] == SMPL_DPTH) List[SMPL_DPTH].Flg  |= UPD; // ȸʾ
          else if(Current == FN)           List[MenuNow[FN]].Flg |= UPD; // ָļдʾ
          else                             List[MenuNow[ME]].Flg |= UPD; // ָĲβʾ
        }
        break;
      case KEYCODE_UP:
        if (PopType & LIST_POP){
          if(MenuNow[Current] > MU_BEGN[Current]) MenuNow[Current]--;
          else                  MenuNow[Current] += M_ITEMS[Current]-1;
        } else {
          if (Current > 0) Current--;
          else             Current = ST;
        }
        break;
     case KEYCODE_DOWN:
        if(PopType & LIST_POP){
          MenuNow[Current]++;
          if(MenuNow[Current] >=(MU_BEGN[Current]+M_ITEMS[Current])){
            MenuNow[Current] = MU_BEGN[Current];
          }
        } else {
          if (Current < 7) Current++;
          else             Current = YN;
        }
        break;
      case KEYCODE_LEFT:
        if((Current==ST)&& !(PopType & LIST_POP))break;
        List[MenuNow[Current]].Flg |= UPD;  // ˢ±ǰԭʾĿ
        if(List[MenuNow[Current]].Val <=MIN[MenuNow[Current]]){
          if((MenuNow[Current] == COUPLING)||(MenuNow[Current] == YN_TYPE )||
            (MenuNow[Current] == XN_TYPE )||(MenuNow[Current] == EXT_HIDE)||
            ( MenuNow[Current] == FITTRIGG)||(MenuNow[Current] == TR_MODE )||
            ( MenuNow[Current] == SYNCMODE)||(MenuNow[Current] == EXT_REFN)||
            (MenuNow[Current] == PROBEATT)||(MenuNow[Current] == TPYE_OUT))
            List[MenuNow[Current]].Val =MAX[MenuNow[Current]] ;
        } else {
          if((MenuNow[Current] == VIEWPOSI)&&((List[MenuNow[Current]].Val) >=150 ))
            List[MenuNow[Current]].Val-=25;
          else{
          //============5.04޸߳========
            if(MenuNow[Current] == THRESHOLD){  
              if((List[V0_POSI].Val + List[THRESHOLD].Val) > 2)  //
                List[MenuNow[Current]].Val--;
            }
            else if(MenuNow[Current] == V0_POSI){
              if((List[V0_POSI].Val + List[THRESHOLD].Val) <2){
                List[V0_POSI].Val--;
                List[THRESHOLD].Val++;
              }else List[MenuNow[Current]].Val--;
            }
            else if((MenuNow[Current] ==V1_POSI) && (List[V1_POSI].Val <= List[V2_POSI].Val))
            List[MenuNow[Current]].Val=List[V2_POSI].Val;
            else List[MenuNow[Current]].Val--;
          }
          //==============================================
            if(MenuNow[Current] == SMPL_DPTH){
              List[VIEWPOSI].Val=1 ;
           }
            if((MenuNow[Current] ==T2_POSI) && (List[T2_POSI].Val <= List[T1_POSI].Val))
              List[MenuNow[Current]].Val=List[T1_POSI].Val;
        }
        if(Current == TR) Status &= ~STOP; // ıͬģʽָ״̬
        break;
      case KEYCODE_RIGHT:
        if((Current==ST)&& !(PopType & LIST_POP))break;
        List[MenuNow[Current]].Flg |= UPD;  // ˢ±ǰԭʾĿ
        if(List[MenuNow[Current]].Val >=MAX[MenuNow[Current]] ){
          if((MenuNow[Current] == COUPLING)||(MenuNow[Current] == YN_TYPE )||
            (MenuNow[Current] == XN_TYPE )||(MenuNow[Current] == EXT_HIDE)||
            ( MenuNow[Current] == FITTRIGG)||(MenuNow[Current] == TR_MODE )||
            ( MenuNow[Current] == SYNCMODE)||(MenuNow[Current] == EXT_REFN)||
            (MenuNow[Current] == PROBEATT)||(MenuNow[Current] == TPYE_OUT))
            List[MenuNow[Current]].Val =MIN[MenuNow[Current]] ;
        } else {
            if(MenuNow[Current] == VIEWPOSI)
            {
              if(List[MenuNow[Current]].Val <(DEPTH[List[SMPL_DPTH].Val]-(350-List[SMPL_DPTH].Val)))
              {
                if(List[MenuNow[Current]].Val >150 )
                  List[MenuNow[Current]].Val += 25;
                else
                  List[MenuNow[Current]].Val++;
              }
            }
            else{
              //============4.27޸߳========
              if(MenuNow[Current] == THRESHOLD){
                if((List[V0_POSI].Val + List[THRESHOLD].Val) < 198)
                 List[MenuNow[Current]].Val++; 
              }
              else if(MenuNow[Current] == V0_POSI){
                if((List[V0_POSI].Val + List[THRESHOLD].Val) > 198){
                  List[V0_POSI].Val++;
                  List[THRESHOLD].Val--;
                }else List[MenuNow[Current]].Val++;
              }
              else if((MenuNow[Current] ==V2_POSI) && (List[V2_POSI].Val >= List[V1_POSI].Val))
                List[MenuNow[Current]].Val=List[V1_POSI].Val;
              else List[MenuNow[Current]].Val++;
            }
            //==============================================  
            if((MenuNow[Current] ==T1_POSI) && (List[T1_POSI].Val >= List[T2_POSI].Val))
               List[MenuNow[Current]].Val=List[T2_POSI].Val;
        }
        if(Current == TR) {Status &= ~STOP; // ıͬģʽָ״̬
        if(List[SYNCMODE].Val==SINGL)ADC_Start(); } 
        break;
     } //switch end
     List[MenuNow[Current]].Flg |= UPD;
     StdBy_Time  = List[STANDBY].Val * MIN_UNIT;  //
     PwrOff_Time = List[PWR_OFF].Val * MIN_UNIT;  //Զػ
      
      if(PopType & LIST_POP) Show_List();
      Update_Titel();
      Key_Buffer = 0;
    } //if key end
  } //while end
}
/********************************* END OF FILE ********************************/
